Subject: [xmpp] Fwd: Re: [Simple] SIMPLE chat: Internationalization and normalization of nicknames

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 01 Mar 2012 15:28:57 -0700

FYI, there's discussion happening on the SIMPLE WG list about
internationalization of nicknames in chatrooms. There might be value in
pursuing a common approach. Please follow up on the [email-masked] list:

https://www.ietf.org/mailman/listinfo/simple

-------- Original Message --------
Subject: Re: [Simple] SIMPLE chat: Internationalization and
normalization of nicknames
Date: Thu, 01 Mar 2012 15:26:00 -0700
From: Peter Saint-Andre <[email-masked]>
To: Ben Campbell <[email-masked]>
CC: Simple WG <[email-masked]>

On 3/1/12 3:12 PM, Ben Campbell wrote:
> 
> On Mar 1, 2012, at 3:55 PM, Miguel A. Garcia wrote:
> 
>> Dear all:
>> 
>> I am trying to address the last known issue of the SIMPLE chat
>> draft. This came through Enrico Marocco's Appsdir review, and the
>> comment was:
>> 
>> The document doesn't describe allowed characters in Nicks and any 
>> normalization that needs to be applied.
>> 
>> So, I got advice from Alexy Melnikov, indicating that we should
>> take a look at the ResourcePrep in: 
>> http://datatracker.ietf.org/doc/draft-ietf-xmpp-6122bis/
>> 
>> The idea is to inspire on the ResourcePrep and adapted to Nicknames
>> in SIMPLE chat. However, there is a dependency on the completion of
>> the Precis Framework: 
>> https://datatracker.ietf.org/doc/draft-ietf-precis-framework/
>> 
>> This means that SIMPLE chat will need to add a normative dependency
>> to the Precis Framework, and if SIMPLE chat is approved and arrives
>> to the RFC Editor before the Precis Framework, it will stay there
>> until the framework reaches the RFC editor.
> 
> (as individual)
> 
> I concur with this approach in general, although I think we will find
> some differences between the Resource parts in 6122/6122bis and the
> use of nicknames in simple-chat. In particular:
> 
> 1) A resource part identifies something. That makes uniqueness and
> comparisons fairly important. OTOH, a nickname is really for human
> display purposes. We still need to be able to compare them for
> reservations to work. And the human readability part means we should
> at least mention character confusion issues.

In the chatroom context, XMPP resourceparts are mostly used for display
purposes but also for some authorization decisions (e.g., we can kick
people based on their nickname). As far as I understand it, the uses are
really quite similar in XMPP chatrooms and SIMPLE chatrooms.

> 2) The 6122bis resource parts live inside URIs, while  simple-chat
> nicknames are just strings.

Well, we don't really use URIs in XMPP. Probably you mean JIDs
(JabberIDs). In that case, yes, they are used sometimes for addressing
in XMPP chatrooms (e.g., to send a private message to another occupant).

> I'm not sure that these differences really change the outcome
> much--they're just things to think about.

Although I think that XMPP resourceparts *as they are used in chatrooms*
are quite similar to SIMPLE nicknames, resourceparts are used in other
contexts (e.g., as device/connection identifiers) so the resourceprep
replacement that's developed in the XMPP WG won't be quite what you need
anyway. However, there probably is value in thinking about nicks in
general, because it's possible that we could define the same PRECIS
profile for use in both XMPP chatrooms (XEP-0045) and SIMPLE chatrooms.
A common approach might be good.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple